package urlproba;


/* Egy URL-lel azonosított objektum letöltése a hálózatról
 *
 *	Bekéri az url-címet
 *  (http:// -rel együtt kell begépelni, de természetesen átírható a program,
 *   hogy ne nekünk kelljen, hanem rakja hozzá, ha hiányzik).
 *
 *  Kiírja az adott címen lévő html fájl tartalmát, feltéve, hogy létezik ilyen fájl.
 *
 *  Próbaként megadott cím lehet pl.: https://pte.hu
 */
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Scanner;

public class URLproba {

    // Visszaadja az adott címen levő objektumot.
    public static Object adatSzerzes(String cim) {

        Object obj = "Nincs mit kiirnom.";
     			// Hiba esetén az ezt a szöveget
        // tartalmazó objektumot adja vissza.
        try {
            URL url_objektum = new URL(cim);
            return obj = url_objektum.getContent();
        } catch (MalformedURLException e) {
            System.out.println("Hibas URL cím!");
        } catch (IOException e) {
            System.out.println("Nem sikerült a letöltés!");
            // pl. létező ftp protokoll esetén
        }
        return obj;
    }

    void start() {
        Scanner scan = new Scanner(System.in);
        System.out.print("Kérem az URL címét: ");
        String url_cim = scan.next();
        Object obj = adatSzerzes(url_cim);
        // Az objektum kiiratása
        try {
            System.out.println((String) obj);
            // csak akkor lehet String-re kényszeríteni, ha az obj
            // a "Nincs mit kiírnom" hibaüzenet, egyébként nem.
        } catch (ClassCastException e) {
            if (obj instanceof InputStream) {
                try {
                    // itt próbálja kiírni a tartalmat
                    BufferedReader tartalom = new BufferedReader(
                                  new InputStreamReader((InputStream) (obj)));
                    String egy_sor;
                    while ((egy_sor = tartalom.readLine()) != null) {
                        System.out.println(egy_sor);
                    }
                } catch (IOException ie) {
                    System.out.println("Hiba történt a tartalom letöltésekor");
                }
            } else {
                System.out.println("Nem sikerült a tartalom kiírható formára konvertálása");
                System.out.println("A kapott objektum:");
                System.out.println(obj);
            }
        }
    }
}
